---
title: Get billable usage across your account
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Usage Metering
---

# Get billable usage across your account{% #get-billable-usage-across-your-account %}
Copy pageCopied
{% tab title="v1" %}

| Datadog site      | API endpoint                                                    |
| ----------------- | --------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v1/usage/billable-summary |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v1/usage/billable-summary |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v1/usage/billable-summary      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v1/usage/billable-summary      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v1/usage/billable-summary  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v1/usage/billable-summary     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v1/usage/billable-summary |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v1/usage/billable-summary |

### Overview



Get billable usage across your account.

This endpoint is only accessible for [parent-level organizations](https://docs.datadoghq.com/account_management/multi_organization.md).
This endpoint requires the `usage_read` permission.
OAuth apps require the `usage_read` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#usage-metering) to access this endpoint.



### Arguments

#### Query Strings

| Name                       | Type    | Description                                                                                                                                                       |
| -------------------------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| month                      | string  | Datetime in ISO-8601 format, UTC, precise to month: `[YYYY-MM]` for usage starting this month.                                                                    |
| include_connected_accounts | boolean | Boolean to specify whether to include accounts connected to the current account as partner customers in the Datadog partner network program. Defaults to `false`. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response with monthly summary of data billed by Datadog.

| Parent field                               | Field                                      | Type      | Description                                                              |
| ------------------------------------------ | ------------------------------------------ | --------- | ------------------------------------------------------------------------ |
|                                            | usage                                      | [object]  | An array of objects regarding usage of billable summary.                 |
| usage                                      | account_name                               | string    | The account name.                                                        |
| usage                                      | account_public_id                          | string    | The account public ID.                                                   |
| usage                                      | billing_plan                               | string    | **DEPRECATED**: The billing plan (metadata). (Deprecated from June 2026) |
| usage                                      | end_date                                   | date-time | Shows the last date of usage.                                            |
| usage                                      | num_orgs                                   | int64     | The number of organizations.                                             |
| usage                                      | org_name                                   | string    | The organization name.                                                   |
| usage                                      | public_id                                  | string    | The organization public ID.                                              |
| usage                                      | ratio_in_month                             | double    | Shows usage aggregation for a billing period.                            |
| usage                                      | region                                     | string    | The region of the organization.                                          |
| usage                                      | start_date                                 | date-time | Shows the first date of usage.                                           |
| usage                                      | usage                                      | object    | Response with aggregated usage types.                                    |
| usage                                      | apm_fargate_average                        | object    | Response with properties for each aggregated usage type.                 |
| apm_fargate_average                        | account_billable_usage                     | int64     | The total account usage.                                                 |
| apm_fargate_average                        | account_committed_usage                    | int64     | The total account committed usage.                                       |
| apm_fargate_average                        | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| apm_fargate_average                        | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| apm_fargate_average                        | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| apm_fargate_average                        | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| apm_fargate_average                        | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| apm_fargate_average                        | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| apm_fargate_average                        | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | apm_fargate_sum                            | object    | Response with properties for each aggregated usage type.                 |
| apm_fargate_sum                            | account_billable_usage                     | int64     | The total account usage.                                                 |
| apm_fargate_sum                            | account_committed_usage                    | int64     | The total account committed usage.                                       |
| apm_fargate_sum                            | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| apm_fargate_sum                            | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| apm_fargate_sum                            | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| apm_fargate_sum                            | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| apm_fargate_sum                            | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| apm_fargate_sum                            | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| apm_fargate_sum                            | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | apm_host_sum                               | object    | Response with properties for each aggregated usage type.                 |
| apm_host_sum                               | account_billable_usage                     | int64     | The total account usage.                                                 |
| apm_host_sum                               | account_committed_usage                    | int64     | The total account committed usage.                                       |
| apm_host_sum                               | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| apm_host_sum                               | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| apm_host_sum                               | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| apm_host_sum                               | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| apm_host_sum                               | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| apm_host_sum                               | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| apm_host_sum                               | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | apm_host_top99p                            | object    | Response with properties for each aggregated usage type.                 |
| apm_host_top99p                            | account_billable_usage                     | int64     | The total account usage.                                                 |
| apm_host_top99p                            | account_committed_usage                    | int64     | The total account committed usage.                                       |
| apm_host_top99p                            | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| apm_host_top99p                            | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| apm_host_top99p                            | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| apm_host_top99p                            | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| apm_host_top99p                            | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| apm_host_top99p                            | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| apm_host_top99p                            | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | apm_profiler_host_sum                      | object    | Response with properties for each aggregated usage type.                 |
| apm_profiler_host_sum                      | account_billable_usage                     | int64     | The total account usage.                                                 |
| apm_profiler_host_sum                      | account_committed_usage                    | int64     | The total account committed usage.                                       |
| apm_profiler_host_sum                      | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| apm_profiler_host_sum                      | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| apm_profiler_host_sum                      | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| apm_profiler_host_sum                      | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| apm_profiler_host_sum                      | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| apm_profiler_host_sum                      | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| apm_profiler_host_sum                      | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | apm_profiler_host_top99p                   | object    | Response with properties for each aggregated usage type.                 |
| apm_profiler_host_top99p                   | account_billable_usage                     | int64     | The total account usage.                                                 |
| apm_profiler_host_top99p                   | account_committed_usage                    | int64     | The total account committed usage.                                       |
| apm_profiler_host_top99p                   | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| apm_profiler_host_top99p                   | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| apm_profiler_host_top99p                   | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| apm_profiler_host_top99p                   | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| apm_profiler_host_top99p                   | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| apm_profiler_host_top99p                   | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| apm_profiler_host_top99p                   | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | apm_trace_search_sum                       | object    | Response with properties for each aggregated usage type.                 |
| apm_trace_search_sum                       | account_billable_usage                     | int64     | The total account usage.                                                 |
| apm_trace_search_sum                       | account_committed_usage                    | int64     | The total account committed usage.                                       |
| apm_trace_search_sum                       | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| apm_trace_search_sum                       | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| apm_trace_search_sum                       | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| apm_trace_search_sum                       | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| apm_trace_search_sum                       | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| apm_trace_search_sum                       | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| apm_trace_search_sum                       | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | application_security_fargate_average       | object    | Response with properties for each aggregated usage type.                 |
| application_security_fargate_average       | account_billable_usage                     | int64     | The total account usage.                                                 |
| application_security_fargate_average       | account_committed_usage                    | int64     | The total account committed usage.                                       |
| application_security_fargate_average       | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| application_security_fargate_average       | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| application_security_fargate_average       | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| application_security_fargate_average       | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| application_security_fargate_average       | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| application_security_fargate_average       | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| application_security_fargate_average       | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | application_security_host_sum              | object    | Response with properties for each aggregated usage type.                 |
| application_security_host_sum              | account_billable_usage                     | int64     | The total account usage.                                                 |
| application_security_host_sum              | account_committed_usage                    | int64     | The total account committed usage.                                       |
| application_security_host_sum              | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| application_security_host_sum              | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| application_security_host_sum              | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| application_security_host_sum              | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| application_security_host_sum              | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| application_security_host_sum              | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| application_security_host_sum              | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | application_security_host_top99p           | object    | Response with properties for each aggregated usage type.                 |
| application_security_host_top99p           | account_billable_usage                     | int64     | The total account usage.                                                 |
| application_security_host_top99p           | account_committed_usage                    | int64     | The total account committed usage.                                       |
| application_security_host_top99p           | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| application_security_host_top99p           | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| application_security_host_top99p           | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| application_security_host_top99p           | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| application_security_host_top99p           | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| application_security_host_top99p           | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| application_security_host_top99p           | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | ci_pipeline_indexed_spans_sum              | object    | Response with properties for each aggregated usage type.                 |
| ci_pipeline_indexed_spans_sum              | account_billable_usage                     | int64     | The total account usage.                                                 |
| ci_pipeline_indexed_spans_sum              | account_committed_usage                    | int64     | The total account committed usage.                                       |
| ci_pipeline_indexed_spans_sum              | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| ci_pipeline_indexed_spans_sum              | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| ci_pipeline_indexed_spans_sum              | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| ci_pipeline_indexed_spans_sum              | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| ci_pipeline_indexed_spans_sum              | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| ci_pipeline_indexed_spans_sum              | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| ci_pipeline_indexed_spans_sum              | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | ci_pipeline_maximum                        | object    | Response with properties for each aggregated usage type.                 |
| ci_pipeline_maximum                        | account_billable_usage                     | int64     | The total account usage.                                                 |
| ci_pipeline_maximum                        | account_committed_usage                    | int64     | The total account committed usage.                                       |
| ci_pipeline_maximum                        | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| ci_pipeline_maximum                        | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| ci_pipeline_maximum                        | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| ci_pipeline_maximum                        | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| ci_pipeline_maximum                        | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| ci_pipeline_maximum                        | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| ci_pipeline_maximum                        | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | ci_pipeline_sum                            | object    | Response with properties for each aggregated usage type.                 |
| ci_pipeline_sum                            | account_billable_usage                     | int64     | The total account usage.                                                 |
| ci_pipeline_sum                            | account_committed_usage                    | int64     | The total account committed usage.                                       |
| ci_pipeline_sum                            | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| ci_pipeline_sum                            | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| ci_pipeline_sum                            | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| ci_pipeline_sum                            | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| ci_pipeline_sum                            | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| ci_pipeline_sum                            | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| ci_pipeline_sum                            | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | ci_test_indexed_spans_sum                  | object    | Response with properties for each aggregated usage type.                 |
| ci_test_indexed_spans_sum                  | account_billable_usage                     | int64     | The total account usage.                                                 |
| ci_test_indexed_spans_sum                  | account_committed_usage                    | int64     | The total account committed usage.                                       |
| ci_test_indexed_spans_sum                  | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| ci_test_indexed_spans_sum                  | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| ci_test_indexed_spans_sum                  | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| ci_test_indexed_spans_sum                  | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| ci_test_indexed_spans_sum                  | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| ci_test_indexed_spans_sum                  | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| ci_test_indexed_spans_sum                  | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | ci_testing_maximum                         | object    | Response with properties for each aggregated usage type.                 |
| ci_testing_maximum                         | account_billable_usage                     | int64     | The total account usage.                                                 |
| ci_testing_maximum                         | account_committed_usage                    | int64     | The total account committed usage.                                       |
| ci_testing_maximum                         | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| ci_testing_maximum                         | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| ci_testing_maximum                         | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| ci_testing_maximum                         | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| ci_testing_maximum                         | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| ci_testing_maximum                         | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| ci_testing_maximum                         | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | ci_testing_sum                             | object    | Response with properties for each aggregated usage type.                 |
| ci_testing_sum                             | account_billable_usage                     | int64     | The total account usage.                                                 |
| ci_testing_sum                             | account_committed_usage                    | int64     | The total account committed usage.                                       |
| ci_testing_sum                             | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| ci_testing_sum                             | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| ci_testing_sum                             | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| ci_testing_sum                             | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| ci_testing_sum                             | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| ci_testing_sum                             | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| ci_testing_sum                             | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | cloud_cost_management_average              | object    | Response with properties for each aggregated usage type.                 |
| cloud_cost_management_average              | account_billable_usage                     | int64     | The total account usage.                                                 |
| cloud_cost_management_average              | account_committed_usage                    | int64     | The total account committed usage.                                       |
| cloud_cost_management_average              | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| cloud_cost_management_average              | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| cloud_cost_management_average              | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| cloud_cost_management_average              | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| cloud_cost_management_average              | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| cloud_cost_management_average              | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| cloud_cost_management_average              | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | cloud_cost_management_sum                  | object    | Response with properties for each aggregated usage type.                 |
| cloud_cost_management_sum                  | account_billable_usage                     | int64     | The total account usage.                                                 |
| cloud_cost_management_sum                  | account_committed_usage                    | int64     | The total account committed usage.                                       |
| cloud_cost_management_sum                  | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| cloud_cost_management_sum                  | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| cloud_cost_management_sum                  | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| cloud_cost_management_sum                  | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| cloud_cost_management_sum                  | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| cloud_cost_management_sum                  | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| cloud_cost_management_sum                  | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | cspm_container_sum                         | object    | Response with properties for each aggregated usage type.                 |
| cspm_container_sum                         | account_billable_usage                     | int64     | The total account usage.                                                 |
| cspm_container_sum                         | account_committed_usage                    | int64     | The total account committed usage.                                       |
| cspm_container_sum                         | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| cspm_container_sum                         | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| cspm_container_sum                         | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| cspm_container_sum                         | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| cspm_container_sum                         | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| cspm_container_sum                         | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| cspm_container_sum                         | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | cspm_host_sum                              | object    | Response with properties for each aggregated usage type.                 |
| cspm_host_sum                              | account_billable_usage                     | int64     | The total account usage.                                                 |
| cspm_host_sum                              | account_committed_usage                    | int64     | The total account committed usage.                                       |
| cspm_host_sum                              | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| cspm_host_sum                              | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| cspm_host_sum                              | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| cspm_host_sum                              | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| cspm_host_sum                              | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| cspm_host_sum                              | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| cspm_host_sum                              | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | cspm_host_top99p                           | object    | Response with properties for each aggregated usage type.                 |
| cspm_host_top99p                           | account_billable_usage                     | int64     | The total account usage.                                                 |
| cspm_host_top99p                           | account_committed_usage                    | int64     | The total account committed usage.                                       |
| cspm_host_top99p                           | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| cspm_host_top99p                           | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| cspm_host_top99p                           | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| cspm_host_top99p                           | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| cspm_host_top99p                           | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| cspm_host_top99p                           | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| cspm_host_top99p                           | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | custom_event_sum                           | object    | Response with properties for each aggregated usage type.                 |
| custom_event_sum                           | account_billable_usage                     | int64     | The total account usage.                                                 |
| custom_event_sum                           | account_committed_usage                    | int64     | The total account committed usage.                                       |
| custom_event_sum                           | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| custom_event_sum                           | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| custom_event_sum                           | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| custom_event_sum                           | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| custom_event_sum                           | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| custom_event_sum                           | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| custom_event_sum                           | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | cws_container_sum                          | object    | Response with properties for each aggregated usage type.                 |
| cws_container_sum                          | account_billable_usage                     | int64     | The total account usage.                                                 |
| cws_container_sum                          | account_committed_usage                    | int64     | The total account committed usage.                                       |
| cws_container_sum                          | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| cws_container_sum                          | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| cws_container_sum                          | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| cws_container_sum                          | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| cws_container_sum                          | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| cws_container_sum                          | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| cws_container_sum                          | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | cws_host_sum                               | object    | Response with properties for each aggregated usage type.                 |
| cws_host_sum                               | account_billable_usage                     | int64     | The total account usage.                                                 |
| cws_host_sum                               | account_committed_usage                    | int64     | The total account committed usage.                                       |
| cws_host_sum                               | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| cws_host_sum                               | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| cws_host_sum                               | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| cws_host_sum                               | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| cws_host_sum                               | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| cws_host_sum                               | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| cws_host_sum                               | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | cws_host_top99p                            | object    | Response with properties for each aggregated usage type.                 |
| cws_host_top99p                            | account_billable_usage                     | int64     | The total account usage.                                                 |
| cws_host_top99p                            | account_committed_usage                    | int64     | The total account committed usage.                                       |
| cws_host_top99p                            | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| cws_host_top99p                            | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| cws_host_top99p                            | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| cws_host_top99p                            | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| cws_host_top99p                            | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| cws_host_top99p                            | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| cws_host_top99p                            | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | dbm_host_sum                               | object    | Response with properties for each aggregated usage type.                 |
| dbm_host_sum                               | account_billable_usage                     | int64     | The total account usage.                                                 |
| dbm_host_sum                               | account_committed_usage                    | int64     | The total account committed usage.                                       |
| dbm_host_sum                               | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| dbm_host_sum                               | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| dbm_host_sum                               | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| dbm_host_sum                               | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| dbm_host_sum                               | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| dbm_host_sum                               | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| dbm_host_sum                               | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | dbm_host_top99p                            | object    | Response with properties for each aggregated usage type.                 |
| dbm_host_top99p                            | account_billable_usage                     | int64     | The total account usage.                                                 |
| dbm_host_top99p                            | account_committed_usage                    | int64     | The total account committed usage.                                       |
| dbm_host_top99p                            | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| dbm_host_top99p                            | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| dbm_host_top99p                            | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| dbm_host_top99p                            | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| dbm_host_top99p                            | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| dbm_host_top99p                            | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| dbm_host_top99p                            | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | dbm_normalized_queries_average             | object    | Response with properties for each aggregated usage type.                 |
| dbm_normalized_queries_average             | account_billable_usage                     | int64     | The total account usage.                                                 |
| dbm_normalized_queries_average             | account_committed_usage                    | int64     | The total account committed usage.                                       |
| dbm_normalized_queries_average             | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| dbm_normalized_queries_average             | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| dbm_normalized_queries_average             | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| dbm_normalized_queries_average             | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| dbm_normalized_queries_average             | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| dbm_normalized_queries_average             | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| dbm_normalized_queries_average             | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | dbm_normalized_queries_sum                 | object    | Response with properties for each aggregated usage type.                 |
| dbm_normalized_queries_sum                 | account_billable_usage                     | int64     | The total account usage.                                                 |
| dbm_normalized_queries_sum                 | account_committed_usage                    | int64     | The total account committed usage.                                       |
| dbm_normalized_queries_sum                 | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| dbm_normalized_queries_sum                 | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| dbm_normalized_queries_sum                 | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| dbm_normalized_queries_sum                 | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| dbm_normalized_queries_sum                 | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| dbm_normalized_queries_sum                 | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| dbm_normalized_queries_sum                 | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | fargate_container_apm_and_profiler_average | object    | Response with properties for each aggregated usage type.                 |
| fargate_container_apm_and_profiler_average | account_billable_usage                     | int64     | The total account usage.                                                 |
| fargate_container_apm_and_profiler_average | account_committed_usage                    | int64     | The total account committed usage.                                       |
| fargate_container_apm_and_profiler_average | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| fargate_container_apm_and_profiler_average | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| fargate_container_apm_and_profiler_average | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| fargate_container_apm_and_profiler_average | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| fargate_container_apm_and_profiler_average | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| fargate_container_apm_and_profiler_average | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| fargate_container_apm_and_profiler_average | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | fargate_container_apm_and_profiler_sum     | object    | Response with properties for each aggregated usage type.                 |
| fargate_container_apm_and_profiler_sum     | account_billable_usage                     | int64     | The total account usage.                                                 |
| fargate_container_apm_and_profiler_sum     | account_committed_usage                    | int64     | The total account committed usage.                                       |
| fargate_container_apm_and_profiler_sum     | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| fargate_container_apm_and_profiler_sum     | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| fargate_container_apm_and_profiler_sum     | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| fargate_container_apm_and_profiler_sum     | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| fargate_container_apm_and_profiler_sum     | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| fargate_container_apm_and_profiler_sum     | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| fargate_container_apm_and_profiler_sum     | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | fargate_container_average                  | object    | Response with properties for each aggregated usage type.                 |
| fargate_container_average                  | account_billable_usage                     | int64     | The total account usage.                                                 |
| fargate_container_average                  | account_committed_usage                    | int64     | The total account committed usage.                                       |
| fargate_container_average                  | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| fargate_container_average                  | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| fargate_container_average                  | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| fargate_container_average                  | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| fargate_container_average                  | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| fargate_container_average                  | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| fargate_container_average                  | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | fargate_container_profiler_average         | object    | Response with properties for each aggregated usage type.                 |
| fargate_container_profiler_average         | account_billable_usage                     | int64     | The total account usage.                                                 |
| fargate_container_profiler_average         | account_committed_usage                    | int64     | The total account committed usage.                                       |
| fargate_container_profiler_average         | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| fargate_container_profiler_average         | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| fargate_container_profiler_average         | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| fargate_container_profiler_average         | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| fargate_container_profiler_average         | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| fargate_container_profiler_average         | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| fargate_container_profiler_average         | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | fargate_container_profiler_sum             | object    | Response with properties for each aggregated usage type.                 |
| fargate_container_profiler_sum             | account_billable_usage                     | int64     | The total account usage.                                                 |
| fargate_container_profiler_sum             | account_committed_usage                    | int64     | The total account committed usage.                                       |
| fargate_container_profiler_sum             | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| fargate_container_profiler_sum             | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| fargate_container_profiler_sum             | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| fargate_container_profiler_sum             | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| fargate_container_profiler_sum             | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| fargate_container_profiler_sum             | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| fargate_container_profiler_sum             | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | fargate_container_sum                      | object    | Response with properties for each aggregated usage type.                 |
| fargate_container_sum                      | account_billable_usage                     | int64     | The total account usage.                                                 |
| fargate_container_sum                      | account_committed_usage                    | int64     | The total account committed usage.                                       |
| fargate_container_sum                      | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| fargate_container_sum                      | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| fargate_container_sum                      | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| fargate_container_sum                      | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| fargate_container_sum                      | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| fargate_container_sum                      | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| fargate_container_sum                      | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | incident_management_maximum                | object    | Response with properties for each aggregated usage type.                 |
| incident_management_maximum                | account_billable_usage                     | int64     | The total account usage.                                                 |
| incident_management_maximum                | account_committed_usage                    | int64     | The total account committed usage.                                       |
| incident_management_maximum                | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| incident_management_maximum                | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| incident_management_maximum                | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| incident_management_maximum                | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| incident_management_maximum                | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| incident_management_maximum                | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| incident_management_maximum                | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | incident_management_sum                    | object    | Response with properties for each aggregated usage type.                 |
| incident_management_sum                    | account_billable_usage                     | int64     | The total account usage.                                                 |
| incident_management_sum                    | account_committed_usage                    | int64     | The total account committed usage.                                       |
| incident_management_sum                    | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| incident_management_sum                    | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| incident_management_sum                    | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| incident_management_sum                    | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| incident_management_sum                    | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| incident_management_sum                    | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| incident_management_sum                    | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | infra_and_apm_host_sum                     | object    | Response with properties for each aggregated usage type.                 |
| infra_and_apm_host_sum                     | account_billable_usage                     | int64     | The total account usage.                                                 |
| infra_and_apm_host_sum                     | account_committed_usage                    | int64     | The total account committed usage.                                       |
| infra_and_apm_host_sum                     | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| infra_and_apm_host_sum                     | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| infra_and_apm_host_sum                     | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| infra_and_apm_host_sum                     | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| infra_and_apm_host_sum                     | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| infra_and_apm_host_sum                     | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| infra_and_apm_host_sum                     | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | infra_and_apm_host_top99p                  | object    | Response with properties for each aggregated usage type.                 |
| infra_and_apm_host_top99p                  | account_billable_usage                     | int64     | The total account usage.                                                 |
| infra_and_apm_host_top99p                  | account_committed_usage                    | int64     | The total account committed usage.                                       |
| infra_and_apm_host_top99p                  | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| infra_and_apm_host_top99p                  | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| infra_and_apm_host_top99p                  | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| infra_and_apm_host_top99p                  | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| infra_and_apm_host_top99p                  | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| infra_and_apm_host_top99p                  | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| infra_and_apm_host_top99p                  | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | infra_container_sum                        | object    | Response with properties for each aggregated usage type.                 |
| infra_container_sum                        | account_billable_usage                     | int64     | The total account usage.                                                 |
| infra_container_sum                        | account_committed_usage                    | int64     | The total account committed usage.                                       |
| infra_container_sum                        | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| infra_container_sum                        | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| infra_container_sum                        | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| infra_container_sum                        | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| infra_container_sum                        | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| infra_container_sum                        | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| infra_container_sum                        | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | infra_host_sum                             | object    | Response with properties for each aggregated usage type.                 |
| infra_host_sum                             | account_billable_usage                     | int64     | The total account usage.                                                 |
| infra_host_sum                             | account_committed_usage                    | int64     | The total account committed usage.                                       |
| infra_host_sum                             | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| infra_host_sum                             | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| infra_host_sum                             | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| infra_host_sum                             | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| infra_host_sum                             | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| infra_host_sum                             | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| infra_host_sum                             | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | infra_host_top99p                          | object    | Response with properties for each aggregated usage type.                 |
| infra_host_top99p                          | account_billable_usage                     | int64     | The total account usage.                                                 |
| infra_host_top99p                          | account_committed_usage                    | int64     | The total account committed usage.                                       |
| infra_host_top99p                          | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| infra_host_top99p                          | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| infra_host_top99p                          | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| infra_host_top99p                          | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| infra_host_top99p                          | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| infra_host_top99p                          | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| infra_host_top99p                          | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | ingested_spans_sum                         | object    | Response with properties for each aggregated usage type.                 |
| ingested_spans_sum                         | account_billable_usage                     | int64     | The total account usage.                                                 |
| ingested_spans_sum                         | account_committed_usage                    | int64     | The total account committed usage.                                       |
| ingested_spans_sum                         | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| ingested_spans_sum                         | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| ingested_spans_sum                         | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| ingested_spans_sum                         | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| ingested_spans_sum                         | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| ingested_spans_sum                         | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| ingested_spans_sum                         | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | ingested_timeseries_average                | object    | Response with properties for each aggregated usage type.                 |
| ingested_timeseries_average                | account_billable_usage                     | int64     | The total account usage.                                                 |
| ingested_timeseries_average                | account_committed_usage                    | int64     | The total account committed usage.                                       |
| ingested_timeseries_average                | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| ingested_timeseries_average                | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| ingested_timeseries_average                | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| ingested_timeseries_average                | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| ingested_timeseries_average                | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| ingested_timeseries_average                | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| ingested_timeseries_average                | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | ingested_timeseries_sum                    | object    | Response with properties for each aggregated usage type.                 |
| ingested_timeseries_sum                    | account_billable_usage                     | int64     | The total account usage.                                                 |
| ingested_timeseries_sum                    | account_committed_usage                    | int64     | The total account committed usage.                                       |
| ingested_timeseries_sum                    | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| ingested_timeseries_sum                    | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| ingested_timeseries_sum                    | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| ingested_timeseries_sum                    | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| ingested_timeseries_sum                    | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| ingested_timeseries_sum                    | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| ingested_timeseries_sum                    | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | iot_sum                                    | object    | Response with properties for each aggregated usage type.                 |
| iot_sum                                    | account_billable_usage                     | int64     | The total account usage.                                                 |
| iot_sum                                    | account_committed_usage                    | int64     | The total account committed usage.                                       |
| iot_sum                                    | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| iot_sum                                    | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| iot_sum                                    | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| iot_sum                                    | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| iot_sum                                    | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| iot_sum                                    | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| iot_sum                                    | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | iot_top99p                                 | object    | Response with properties for each aggregated usage type.                 |
| iot_top99p                                 | account_billable_usage                     | int64     | The total account usage.                                                 |
| iot_top99p                                 | account_committed_usage                    | int64     | The total account committed usage.                                       |
| iot_top99p                                 | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| iot_top99p                                 | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| iot_top99p                                 | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| iot_top99p                                 | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| iot_top99p                                 | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| iot_top99p                                 | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| iot_top99p                                 | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | lambda_function_average                    | object    | Response with properties for each aggregated usage type.                 |
| lambda_function_average                    | account_billable_usage                     | int64     | The total account usage.                                                 |
| lambda_function_average                    | account_committed_usage                    | int64     | The total account committed usage.                                       |
| lambda_function_average                    | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| lambda_function_average                    | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| lambda_function_average                    | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| lambda_function_average                    | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| lambda_function_average                    | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| lambda_function_average                    | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| lambda_function_average                    | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | lambda_function_sum                        | object    | Response with properties for each aggregated usage type.                 |
| lambda_function_sum                        | account_billable_usage                     | int64     | The total account usage.                                                 |
| lambda_function_sum                        | account_committed_usage                    | int64     | The total account committed usage.                                       |
| lambda_function_sum                        | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| lambda_function_sum                        | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| lambda_function_sum                        | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| lambda_function_sum                        | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| lambda_function_sum                        | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| lambda_function_sum                        | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| lambda_function_sum                        | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | logs_forwarding_sum                        | object    | Response with properties for each aggregated usage type.                 |
| logs_forwarding_sum                        | account_billable_usage                     | int64     | The total account usage.                                                 |
| logs_forwarding_sum                        | account_committed_usage                    | int64     | The total account committed usage.                                       |
| logs_forwarding_sum                        | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| logs_forwarding_sum                        | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| logs_forwarding_sum                        | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| logs_forwarding_sum                        | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| logs_forwarding_sum                        | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| logs_forwarding_sum                        | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| logs_forwarding_sum                        | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | logs_indexed_15day_sum                     | object    | Response with properties for each aggregated usage type.                 |
| logs_indexed_15day_sum                     | account_billable_usage                     | int64     | The total account usage.                                                 |
| logs_indexed_15day_sum                     | account_committed_usage                    | int64     | The total account committed usage.                                       |
| logs_indexed_15day_sum                     | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| logs_indexed_15day_sum                     | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| logs_indexed_15day_sum                     | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| logs_indexed_15day_sum                     | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| logs_indexed_15day_sum                     | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| logs_indexed_15day_sum                     | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| logs_indexed_15day_sum                     | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | logs_indexed_180day_sum                    | object    | Response with properties for each aggregated usage type.                 |
| logs_indexed_180day_sum                    | account_billable_usage                     | int64     | The total account usage.                                                 |
| logs_indexed_180day_sum                    | account_committed_usage                    | int64     | The total account committed usage.                                       |
| logs_indexed_180day_sum                    | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| logs_indexed_180day_sum                    | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| logs_indexed_180day_sum                    | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| logs_indexed_180day_sum                    | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| logs_indexed_180day_sum                    | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| logs_indexed_180day_sum                    | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| logs_indexed_180day_sum                    | usage_unit                                 | string    | Units pertaining to the usage.                                           |
| usage                                      | logs_indexed_1day_sum                      | object    | Response with properties for each aggregated usage type.                 |
| logs_indexed_1day_sum                      | account_billable_usage                     | int64     | The total account usage.                                                 |
| logs_indexed_1day_sum                      | account_committed_usage                    | int64     | The total account committed usage.                                       |
| logs_indexed_1day_sum                      | account_on_demand_usage                    | int64     | The total account on-demand usage.                                       |
| logs_indexed_1day_sum                      | elapsed_usage_hours                        | int64     | Elapsed usage hours for some billable product.                           |
| logs_indexed_1day_sum                      | first_billable_usage_hour                  | date-time | The first billable hour for the org.                                     |
| logs_indexed_1day_sum                      | last_billable_usage_hour                   | date-time | The last billable hour for the org.                                      |
| logs_indexed_1day_sum                      | org_billable_usage                         | int64     | The number of units used within the billable timeframe.                  |
| logs_indexed_1day_sum                      | percentage_in_account                      | double    | The percentage of account usage the org represents.                      |
| logs_indexed_1day_sum                      | usage_unit                                 | string    | Units pertaining to the usage.                                           |
[...]
